package org.jeecg.modules.pay.request.v3;


import org.jeecg.modules.pay.core.LakalaPayConfig;
import org.jeecg.modules.pay.request.LakalaRequest;
import org.jeecg.modules.pay.request.ReqData;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 拉卡拉V3.0下支付类接口请求参数
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class LabsRequest extends LakalaRequest {

    private LabsRequest() {
    }

    public LabsRequest(ReqData req_data) {
        this.req_time = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date());
        this.version = "3.0";
        this.out_org_code = LakalaPayConfig.APPID;
        this.req_data = req_data;
    }

    /**
     * 请求时间
     * 请求时间，格式yyyyMMddHHmmss
     */
    private String req_time;

    /**
     * 版本号
     */
    private String version;

    /**
     * 外部接入机构号(开放平台APPID)
     */
    private String out_org_code;

    /**
     * 请求参数
     */
    private ReqData req_data;

    public String getReq_time() {
        return req_time;
    }

    public void setReq_time(String req_time) {
        this.req_time = req_time;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public ReqData getReq_data() {
        return req_data;
    }

    public void setReq_data(ReqData req_data) {
        this.req_data = req_data;
    }
}
